Node('flamesample.psi.ch',
     'flame sample thermometers and heater',
     interface = 'tcp://5000',
)

Mod('lscio',
    'frappy_psi.ls372.StringIO',
    'sample channels LS372 io',
    uri = 'flamedil-ls.psi.ch:7777',
)

Mod('lsc_channel',
    'frappy_psi.ls372.Switcher',
    'channel switcher sample ls372',
    io='lscio',
    value = 3,
)

Mod('ts_low',
    'frappy_psi.ls372.TemperatureLoop',
    'sample RuOX',
    channel = 3,
    switcher = 'lsc_channel',
    minrange=13,
    range=22,
    tolerance = 0.1,
    vexc = 3,
    htrrng=4,
)

Mod('ts',
    'frappy_psi.ls372.TemperatureLoop',
    'sample combined sensor',
    channel = 1,
    switcher = 'lsc_channel',
    minrange=11,
    vexc = 5,
    range=22,
    tolerance = 0.1,
    htrrng=5,
)
